package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZjyFdxnb;

/**
 * 设计信息-分段钻井液性能设计Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-17
 */
public interface SjZjyFdxnbMapper 
{
    /**
     * 查询设计信息-分段钻井液性能设计
     * 
     * @param id 设计信息-分段钻井液性能设计主键
     * @return 设计信息-分段钻井液性能设计
     */
    public SjZjyFdxnb selectSjZjyFdxnbById(Long id);

    /**
     * 查询设计信息-分段钻井液性能设计列表
     * 
     * @param sjZjyFdxnb 设计信息-分段钻井液性能设计
     * @return 设计信息-分段钻井液性能设计集合
     */
    public List<SjZjyFdxnb> selectSjZjyFdxnbList(SjZjyFdxnb sjZjyFdxnb);

    /**
     * 新增设计信息-分段钻井液性能设计
     * 
     * @param sjZjyFdxnb 设计信息-分段钻井液性能设计
     * @return 结果
     */
    public int insertSjZjyFdxnb(SjZjyFdxnb sjZjyFdxnb);

    /**
     * 修改设计信息-分段钻井液性能设计
     * 
     * @param sjZjyFdxnb 设计信息-分段钻井液性能设计
     * @return 结果
     */
    public int updateSjZjyFdxnb(SjZjyFdxnb sjZjyFdxnb);

    /**
     * 删除设计信息-分段钻井液性能设计
     * 
     * @param id 设计信息-分段钻井液性能设计主键
     * @return 结果
     */
    public int deleteSjZjyFdxnbById(Long id);

    /**
     * 批量删除设计信息-分段钻井液性能设计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZjyFdxnbByIds(Long[] ids);

    int deleteSjZjyFdxnbByJh(String jh);

    int insertSjZjyFdxnbBatch(List<SjZjyFdxnb> sjZjyFdxnbList);

}
